com.independentsoft.exchange

## Class IsEqualTo

- java.lang.Object
- - com.independentsoft.exchange.Restriction
  - - com.independentsoft.exchange.IsEqualTo

-     public class IsEqualTo
      extends Restriction

  The Class IsEqualTo.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsEqualTo(PropertyPath propertyPath, boolean value)` Instantiates a new checks if is equal to.
    `IsEqualTo(PropertyPath propertyPath, java.util.Date value)` Instantiates a new checks if is equal to.
    `IsEqualTo(PropertyPath propertyPath, double value)` Instantiates a new checks if is equal to.
    `IsEqualTo(PropertyPath propertyPath, long value)` Instantiates a new checks if is equal to.
    `IsEqualTo(PropertyPath propertyPath1, PropertyPath propertyPath2)` Instantiates a new checks if is equal to.
    `IsEqualTo(PropertyPath propertyPath, java.lang.String value)` Instantiates a new checks if is equal to.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath,
                           long value)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath,
                           double value)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath,
                           boolean value)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath,
                           java.util.Date value)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath,
                           java.lang.String value)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### IsEqualTo

          public IsEqualTo(PropertyPath propertyPath1,
                           PropertyPath propertyPath2)

      Instantiates a new checks if is equal to.
      Parameters:
        `propertyPath1` - the property path1
        `propertyPath2` - the property path2

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`